# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name wai

%global common_summary Haskell Web Application Interface library

%global common_description Provides a common protocol for communication between web applications\
and web servers.

Name:           ghc-%{pkg_name}
Version:        0.4.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
BuildRequires:  ghc-enumerator-prof, ghc-http-types-prof, ghc-network-prof, ghc-transformers-prof

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{common_summary}
Group:          Development/Libraries
# BEGIN cabal2spec
%{?ghc_devel_requires}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}
# END cabal2spec
# Haskell devel dependencies are autogenerated by ghc-deps.sh

%description -n ghc-%{pkg_name}-devel
%{common_description}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files


%changelog
* Tue Sep 27 2011 Jens Petersen <petersen@redhat.com> - 0.4.2-1
- update to 0.4.2

* Thu Sep  8 2011 Jens Petersen <petersen@redhat.com> - 0.4.1-1
- update to 0.4.1 and cabal2spec-0.24.1
- add dependencies

* Sat Jun 25 2011 Ben Boeckel <mathstuf@gmail.com> - 0.4.0-1
- Update to 0.4.0
- Update to cabal2spec-0.23.2

* Tue Mar 08 2011 Ben Boeckel <mathstuf@gmail.com> - 0.3.2-1
- Update to 0.3.2

* Tue Nov 23 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.1-1
- Update to 0.2.2.1

* Sat Oct 30 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.2-1
- Update to 0.2.2

* Tue Sep 14 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1-1
- Update to 0.2.1

* Sat Sep 04 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.0-1
- Initial package

* Sat Sep  4 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
